text-show-3.10.5: Efficient conversion of values into Text

Copyright | (C) 2014-2017 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | Safe-Inferred
Language | Haskell2010

TextShow.Data.ByteString

Contents

- Orphan instances

Description

`TextShow` instances for data types in the `bytestring` library.

Since: 2

# Orphan instances

TextShow ByteString Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> ByteString -> Builder Source #

showb :: ByteString -> Builder Source #

showbList :: [ByteString] -> Builder Source #

showtPrec :: Int -> ByteString -> Text Source #

showt :: ByteString -> Text Source #

showtList :: [ByteString] -> Text Source #

showtlPrec :: Int -> ByteString -> Text Source #

showtl :: ByteString -> Text Source #

showtlList :: [ByteString] -> Text Source #

TextShow ByteString Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> ByteString -> Builder Source #

showb :: ByteString -> Builder Source #

showbList :: [ByteString] -> Builder Source #

showtPrec :: Int -> ByteString -> Text Source #

showt :: ByteString -> Text Source #

showtList :: [ByteString] -> Text Source #

showtlPrec :: Int -> ByteString -> Text Source #

showtl :: ByteString -> Text Source #

showtlList :: [ByteString] -> Text Source #

TextShow ShortByteString Source # | Since: 2

Instance details

Methods

showbPrec :: Int -> ShortByteString -> Builder Source #

showb :: ShortByteString -> Builder Source #

showbList :: [ShortByteString] -> Builder Source #

showtPrec :: Int -> ShortByteString -> Text Source #

showt :: ShortByteString -> Text Source #

showtList :: [ShortByteString] -> Text Source #

showtlPrec :: Int -> ShortByteString -> Text Source #

showtl :: ShortByteString -> Text Source #

showtlList :: [ShortByteString] -> Text Source #